Subject: Re: Could you make vconfig less stupid?

From: Patrick McHardy <[email-masked]>
Date: Tue, 07 Oct 2008 15:57:53 +0200

Martin Josefsson wrote:
> On Tue, 7 Oct 2008, Patrick McHardy wrote:
> 
>>>> # ip l a l eth0 type vlan id 100
> 
>> It would be better to have -d as a default, I was afraid of breaking
>> scripts of people sedding and awking around with the iproute output.
> 
> It would also be good to have a help text describing 'ip l a' as
> 'ip l h' doesn't mention it at all in at least iproute2-ss080725 which 
> seems to be the latest release.
> 
> Until there's an easy accessible help text I'll stick to vconfig :)
> I know the iproute help texts aren't always that easy to read but at 
> least they beat getting:
> 
> # ip l a
> RTNETLINK answers: Operation not supported

Actually it seems something broke probing in the kernel, let me look
into it.